aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2015-11-13 13:39:33 +1300
committerTom Ryder <tom@sanctum.geek.nz>2015-11-13 13:39:33 +1300
commitf8091be9edc196268a374bbcdc9d382ae1efb99f (patch)
tree36841312c66e46f862bac192ba515f5826ff7048 /bin
parentCompletion for vis(1) (diff)
downloaddotfiles-f8091be9edc196268a374bbcdc9d382ae1efb99f.tar.gz
dotfiles-f8091be9edc196268a374bbcdc9d382ae1efb99f.zip
Where did these tabs come from?
Diffstat (limited to 'bin')
-rwxr-xr-xbin/vis18
1 files changed, 9 insertions, 9 deletions
diff --git a/bin/vis b/bin/vis
index 8b0ddd57..f88c0e0e 100755
--- a/bin/vis
+++ b/bin/vis
@@ -14,18 +14,18 @@ self=vis
# Define a function to show usage
usage() {
- printf '%s: usage: %s [EDITOR_OPTS] [--] FILE1 [FILE2...]\n' \
- "$self" "$self"
+ printf '%s: usage: %s [EDITOR_OPTS] [--] FILE1 [FILE2...]\n' \
+ "$self" "$self"
}
# Process options, including detecting requests for help
declare -a opts
for arg ; do
case $arg in
- --help|-h|-\?)
- usage
- exit 0
- ;;
+ --help|-h|-\?)
+ usage
+ exit 0
+ ;;
--)
shift
break
@@ -42,14 +42,14 @@ done
# If no arguments left, spit usage as an error and bail
if ! (($#)) ; then
- usage >&2
- exit 1
+ usage >&2
+ exit 1
fi
# Create the script directory if it doesn't exist yet
vispath=${VISPATH:-$HOME/.local/bin}
if [[ ! -d $vispath ]] ; then
- mkdir -p -- "$vispath" || exit
+ mkdir -p -- "$vispath" || exit
fi
# Create a new array with the script directory prepended to the given names